Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v4.2
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    Performance Insight

    # Data Overview

    # Request

    GET /openapi/statistics/overview
    
    1

    # Response

    {
      "project_count": 9,    // Project count
      "cluster_count": 3,    // Cluster count
      "service_count": 28,   // Service count
      "workflow_count": 17,  // Workflow count
      "env_count": 15,       // Environment count
      "artifact_count": 332  // Artifact count
    }
    
    1
    2
    3
    4
    5
    6
    7
    8

    # Build Data Statistics

    # Request

    GET /openapi/statistics/build
    
    1

    # Query

    Parameter NameTypeDescription
    startDateint64Unix timestamp in seconds, statistics start from 00:00:00 of the timestamp day
    endDateint64Unix timestamp in seconds, statistics end at 23:59:59 of the timestamp day
    productNames[]stringProject list

    Warning

    If specifying a query time range, both startDate and endDate must be provided.

    # Response

    {
      "total": 10,                    // Total success count
      "success": 10,                  // Total build count
      "data": [                       // Daily build data details within the specified time range
        {
          "date": "2022-08-01",       // Build statistics date
          "success": 4,               // Daily success count
          "failure": 0,               // Daily failure count
          "total": 4                  // Daily total count
        },
        {
          "date": "2022-08-02",
          "success": 3,
          "failure": 0,
          "total": 3
        },
        ...
      ]
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19

    # Deploy Data Statistics

    # Request

    GET /openapi/statistics/deploy
    
    1

    # Query

    Parameter NameTypeDescription
    startDateint64Unix timestamp in seconds, statistics start from 00:00:00 of the timestamp day
    endDateint64Unix timestamp in seconds, statistics end at 23:59:59 of the timestamp day
    productNames[]stringProject list

    Warning

    If specifying a query time range, both startDate and endDate must be provided.

    # Response

    {
      "success": 8,             // Total success count
      "total":   11,            // Total deploy count
      "data": [                 // Daily deploy data details within the specified time range
        {
          "date": "2022-08-10", // Deploy statistics date
          "failure": 1,         // Daily failure count
          "success": 1,         // Daily success count
          "total":   2,         // Daily deploy count
        },
        {
          "date": "2022-08-11",
          "failure": 2,
          "success": 7,
          "total":   9,
        }
        ...
      ]
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19

    # Test Data Statistics

    # Request

    GET /openapi/statistics/test
    
    1

    # Query

    Parameter NameTypeDescription
    startDateint64Unix timestamp in seconds, statistics start from 00:00:00 of the timestamp day
    endDateint64Unix timestamp in seconds, statistics end at 23:59:59 of the timestamp day
    productNames[]stringProject list

    Warning

    If specifying a query time range, both startDate and endDate must be provided.

    # Response

    {
      "case_count": 24,             // Test case count
      "exec_count": 13,             // Execution count during statistics period
      "success_count": 13,          // Success count during statistics period
      "average_runtime": 10,        // Average test task execution duration during statistics period
      "data": [                     // Weekly test data details within the specified time range
        {
          "date": "2022-08-11",     // Statistics date by week
          "success_count": 0,       // Success count by week
          "timeout_count": 0,       // Timeout count by week
          "failed_count": 0         // Failure count by week
        },
        {
          "date": "2022-08-04",
          "success_count": 2,
          "timeout_count": 0,
          "failed_count": 0
        },
        ...
      ]
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21

    # Production Environment Release Data Statistics

    # Request

    GET /openapi/statistics/v2/release
    
    1

    # Query

    Parameter NameTypeDescription
    start_timeint64Unix timestamp in seconds
    end_timeint64Unix timestamp in seconds
    project_namestringProject Key

    # Response

    {
      "total": 10,                           // Production environment release count
      "success_count": 9,                    // Production environment release success count
      "daily_stat": [                        // Daily statistics within the time period
        {
          "date": "2023-05-15",              // Date
          "total": 10,                       // Daily release count
          "success_count": 9,                // Daily release success count
          "fail_count": 1,                   // Daily release failure count
        }
        ...
      ]
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13

    # Get Rollback Data

    # Request

    GET /openapi/statistics/v2/rollback/detail
    
    1

    # Query

    Parameter NameTypeDescriptionRequired
    projectKeystringProject KeyNo
    envNamestringEnvironment nameNo
    serviceNamestringService nameNo
    startTimeintStart timeYes
    endTimeintEnd timeYes
    pageNumintCurrent page numberYes
    pageSizeintItems per pageYes

    # Response

    {
        "total": 1,                           // Total rollback count
        "data": [
            {
                "project_key": "yaml",        // Project Key
                "env_name": "prod",           // Environment name
                "env_type": "zadig",          // Environment type
                "production": true,           // Whether production environment
                "operation_type": "zadig",    // Operation type
                "service_name": "service2",   // Service name
                "service_type": "k8s",        // Service type
                "origin_service": {           // Service information before rollback
                    "service_name": "service2",
                    "release_name": "",       // Release name, used for helm chart type services
                    "containers": [           // Container image information
                        {
                            "name": "service2", // Container name
                            "type": "",         // Distinguish if it's an initContainer
                            "image": "koderover.tencentcloudcr.com/test/service2:20240830123413-8-main",  // Complete image address
                            "image_name": "service2"  // Image name
                        }
                    ],
                    "rendered_yaml": "apiVersion: apps/v1\nkind: Deployment\nmetadata:\n  creationTimestamp: null\n  labels:\n    app.kubernetes.io/instance: service2\n    app.kubernetes.io/name: yaml\n  name: service2\nspec:\n  replicas: 1\n  selector:\n    matchLabels:\n      app.kubernetes.io/instance: service2\n      app.kubernetes.io/name: yaml\n  strategy: {}\n  template:\n    metadata:\n      creationTimestamp: null\n      labels:\n        app.kubernetes.io/instance: service2\n        app.kubernetes.io/name: yaml\n    spec:\n      containers:\n      - command:\n        - /workspace/service2\n        image: koderover.tencentcloudcr.com/test/service2:20240830123413-8-main\n        imagePullPolicy: Always\n        name: service2\n        ports:\n        - containerPort: 20222\n          protocol: TCP\n        resources: {}\nstatus: {}\n\n---\napiVersion: v1\nkind: Service\nmetadata:\n  name: service2\n  labels:\n    app.kubernetes.io/name: yaml\n    app.kubernetes.io/instance: service2\nspec:\n  type: NodePort\n  ports:\n    - protocol: TCP\n      port: 20222\n      targetPort: 20222\n",
                    "values_yaml": "",              // Values content, only for helm and helm chart type services
                    "override_values": "",          // Override key-value pairs, content format is json, only for helm and helm chart type services
                    "update_time": 1725518692       // Service update time
                },
                "update_service": {                 // Service information after rollback
                    "service_name": "service2",     // Service name
                    "release_name": "",             // Release name, used for helm chart type services
                    "containers": [
                        {
                            "name": "service2",
                            "type": "",
                            "image": "koderover.tencentcloudcr.com/test/service2:20240621003703-261-main",
                            "image_name": "service2"
                        }
                    ],
                    "rendered_yaml": "apiVersion: apps/v1\nkind: Deployment\nmetadata:\n  creationTimestamp: null\n  labels:\n    app.kubernetes.io/instance: service2\n    app.kubernetes.io/name: yaml\n  name: service2\nspec:\n  replicas: 1\n  selector:\n    matchLabels:\n      app.kubernetes.io/instance: service2\n      app.kubernetes.io/name: yaml\n  strategy: {}\n  template:\n    metadata:\n      creationTimestamp: null\n      labels:\n        app.kubernetes.io/instance: service2\n        app.kubernetes.io/name: yaml\n    spec:\n      containers:\n      - command:\n        - /workspace/service2\n        image: koderover.tencentcloudcr.com/test/service2:20240621003703-261-main\n        imagePullPolicy: Always\n        name: service2\n        ports:\n        - containerPort: 20222\n          protocol: TCP\n        resources: {}\nstatus: {}\n\n---\napiVersion: v1\nkind: Service\nmetadata:\n  name: service2\n  labels:\n    app.kubernetes.io/name: yaml\n    app.kubernetes.io/instance: service2\nspec:\n  type: NodePort\n  ports:\n    - protocol: TCP\n      port: 20222\n      targetPort: 20222\n",    // Rendered yaml, only for k8s type services
                    "values_yaml": "",             // Values content, only for helm and helm chart type services
                    "override_values": "",         // Override key-value pairs, content format is json, only for helm and helm chart type services
                    "update_time": 1734491054
                },
                "create_by": {                     // Rollback executor information
                    "uid": "89358827-5137-11ee-b0c5-56d5fd1dd39e", // User ID
                    "account": "admin",            // User account (login name)
                    "name": "admin",               // User name (nickname)
                    "identity_type": "system"      // User identity type
                },
                "create_time": 1734491054          // Rollback time
            }
        ]
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53

    ← Image RegistryPermission→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式